Subject: Re: [core] [Ace] Upload of ACE for Resource Directory draft (correction)

From: Bert Greevenbosch <[email-masked]>
Date: Wed, 5 Nov 2014 00:29:27 +0000

Hi Carsten,

Yes, indeed it is the goal not to specify anything special in ACE for the RD. From ACE's point of view, the RD should just be another Resource Server. It will be good to see how the ACE solution will work for the RD, and I think as such the RD it is a good test drive for ACE.

I would be happy to discuss the draft in CoRE. 

Best regards,
Bert

-----Original Message-----
From: Carsten Bormann [mailto:[email-masked]] 
Sent: 05 November 2014 03:05
To: Bert Greevenbosch
Cc: [email-masked]
Subject: Re: [Ace] Upload of ACE for Resource Directory draft (correction)

Bert,

I’d actually like to discuss this draft in the core meeting.
To me, this is more about authorization requirements in the resource directory than things that ACE specifically has to achieve in its protocol.  But maybe we need to discuss this.

Grüße, Carsten

> On 29 Oct 2014, at 03:25, Bert Greevenbosch <[email-masked]> wrote:
> 
> I made a typo in the previous e-mail: the RD is implemented as a CoAP server, not a CoAP client.
> ---
> Hi all,
>  
> On Monday, I uploaded a draft that applies ACE to the Resource Directory.
>  
> http://datatracker.ietf.org/doc/draft-greevenbosch-ace-resource-directory/
>  
> Since the Resource Directory is implemented as a CoAP server, ideally we can use standard ACE to protect it. The draft's aim is to describe how to do this.
>  
> However, since the ACE architecture is not yet chosen, the draft currently remains fairly high level, and mainly describes issues and related requirements for a solution to be described later.
>  
> The draft is informative, as its goal is not to specify new technology, but rather to describe how ACE can be used for protection of the RD. I also think it is a good opportunity to see how ACE works in a practical situation.
>  
> Comments are welcome.
>  
> Best regards,
> Bert
> _______________________________________________
> Ace mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ace